REM These two lines set the current context to the drive containing this script.
REM Then sets the current directory to the scripts directory.
%~d0
cd %~dp0

copy comdlg32.ocx %SystemRoot%\system32
copy Mscomctl.ocx %SystemRoot%\system32
regsvr32 /s %SystemRoot%\system32\comdlg32.ocx
regsvr32 /s %SystemRoot%\system32\Mscomctl.ocx
regsvr32 /s MailBee.dll
regsvr32 /s CDO.dll

:: -------------------------------------
:: Check Windows Version
:: 5.0 = W2K
:: 5.1 = XP
:: 5.2 = Server 2003
:: 6.0 = Vista or Server 2008
:: 6.1 = Win7 or Server 2008R2
:: 6.2 = Win8 or Server 2012
:: 6.3 = Win8.1 or Server 2012R2
:: 10.0 = Win10
:: 0.0 = Unknown or Unable to determine
:: --------------------------------------

IF NOT EXIST "%SYSTEMDRIVE%\Program Files (x86)" (set $VERSIONBIT=32bit
) else (set $VERSIONBIT=64bit)

SET Version=Unknown
:: VER | FINDSTR /IL "5.0" > NUL
:: IF %ERRORLEVEL% EQU 0 set $VERSIONWINDOWS=5.0
:: VER | FINDSTR /IL "5.1." > NUL
:: IF %ERRORLEVEL% EQU 0 set $VERSIONWINDOWS=5.1
:: VER | FINDSTR /IL "5.2." > NUL
:: IF %ERRORLEVEL% EQU 0 set $VERSIONWINDOWS=5.2

VER | FINDSTR /IL "6.0." > NUL
IF %ERRORLEVEL% EQU 0 goto set60
VER | FINDSTR /IL "6.1." > NUL
IF %ERRORLEVEL% EQU 0 goto set61
VER | FINDSTR /IL "6.2." > NUL
IF %ERRORLEVEL% EQU 0 goto set62
VER | FINDSTR /IL "6.3." > NUL
IF %ERRORLEVEL% EQU 0 goto set63
VER | FINDSTR /IL "10.0." > NUL
IF %ERRORLEVEL% EQU 0 goto set63

goto finish

:set60
set $VERSIONWINDOWS=6.0
goto check_desktop

:set61
set $VERSIONWINDOWS=6.1
goto check_desktop

:set62
set $VERSIONWINDOWS=6.2
goto check_desktop

:set63
set $VERSIONWINDOWS=6.3
goto check_desktop

:check_desktop
if %$VERSIONBIT% EQU 32bit goto check_desktop32
if %$VERSIONBIT% EQU 64bit goto check_desktop64

:check_desktop32
mkdir %WINDIR%\System32\config\systemprofile\Desktop
IF %$VERSIONWINDOWS% EQU 6.2 (mkdir C:\Windows\System32\config\systemprofile\AppData\Local\Microsoft\Windows\INetCache
) else IF %$VERSIONWINDOWS% EQU 6.3 (mkdir C:\Windows\System32\config\systemprofile\AppData\Local\Microsoft\Windows\INetCache
) else (Echo Do nothing)

:check_desktop64
mkdir %WINDIR%\SysWOW64\config\systemprofile\Desktop
IF %$VERSIONWINDOWS% EQU 6.2 (mkdir C:\Windows\Syswow64\config\systemprofile\AppData\Local\Microsoft\Windows\INetCache
) else IF %$VERSIONWINDOWS% EQU 6.3 (mkdir C:\Windows\Syswow64\config\systemprofile\AppData\Local\Microsoft\Windows\INetCache
) else (Echo Do nothing
)
goto finish

:finish
rem Echo "Finish"
Call emailer -configure


